﻿@charset "UTF-8";
body {
  padding-top: 50px;
  padding-bottom: 20px;
  /*Just add class mandatory to all required field labels.*/
}
body #main {
  padding-top: 0;
}
body #content-primary {
  margin-top: 10px;
}
body #parameterMissing {
  color: red;
}
body .margin-bottom-20 {
  margin-bottom: 20px;
}
body .margin-top-20 {
  margin-top: 20px;
}
body .mandatory:after {
  color: red;
  content: " *";
}
body .terms {
  font-style: italic;
  display: block;
  margin-top: 5px;
}
body #ReportTable_wrapper {
  padding: 0;
}
body #ReportTable_wrapper .dt-buttons {
  float: right;
}
body #ReportTable td {
  white-space: nowrap;
}
body .container, body .container-fluid, body .container-sm, body .container-md, body .container-lg, body .container-xl {
  width: 100%;
  padding-right: 15px;
  padding-left: 15px;
  margin-right: auto;
  margin-left: auto;
}

table.dataTable.dtr-inline.collapsed > tbody > tr > td:first-child:not(.child)::before, table.dataTable.dtr-inline.collapsed > tbody > tr > th:first-child:not(.child)::before {
  top: 12px;
  left: 4px;
  height: 14px;
  width: 14px;
  display: block;
  position: absolute;
  color: #fff;
  border: 2px solid #fff;
  border-radius: 14px;
  box-shadow: 0 0 3px #444;
  box-sizing: content-box;
  text-align: center;
  font-family: "Courier New", Courier, monospace;
  line-height: 16px;
  content: "+";
  background-color: #0275d8;
}

table.dataTable.nowrap th, table.dataTable.nowrap td {
  white-space: nowrap;
}

table.dataTable td, table.dataTable th {
  -webkit-box-sizing: content-box;
  box-sizing: content-box;
}

.table thead th {
  vertical-align: bottom;
  border-bottom: 2px solid #dee2e6;
}

.table th, .table td {
  padding: 0.75rem;
  vertical-align: top;
  border-top: 1px solid #dee2e6;
}

th {
  text-align: inherit;
  text-align: -webkit-match-parent;
}

table.dataTable {
  clear: both;
  margin-top: 6px !important;
  margin-bottom: 6px !important;
  max-width: none !important;
  border-collapse: separate !important;
}

table.dataTable > tbody > tr.child ul.dtr-details {
  display: inline-block;
  list-style-type: none;
  margin: 0;
  padding: 0;
}

table.dataTable > tbody > tr.child span.dtr-title {
  display: inline-block;
  min-width: 75px;
  font-weight: bold;
}

table.dataTable > tbody > tr.child ul.dtr-details li {
  border-bottom: 1px solid #efefef;
  padding: 0 0 0 0;
}

table.dataTable.dtr-inline.collapsed > tbody > tr > td:first-child, table.dataTable.dtr-inline.collapsed > tbody > tr > th:first-child {
  position: relative;
  padding-left: 30px;
  cursor: pointer;
}

table.dataTable.dtr-inline.collapsed > tbody > tr > td.child {
  cursor: default;
}

table.dataTable.dtr-inline.collapsed > tbody > tr.child:hover {
  background-color: transparent;
}

/* Set padding to keep content from hitting the edges */
.body-content {
  padding-left: 15px;
  padding-right: 15px;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
  white-space: normal;
}

/* Override default Bootstrap css to make pagination responsive */
.pagination {
  flex-wrap: wrap;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select,
textarea {
  max-width: 280px;
}

div .dt-container div .dt-length label {
  font-weight: normal;
  text-align: left;
  white-space: nowrap;
  margin-right: 0.44rem;
}
div .dt-container div .dt-search label {
  font-weight: normal;
  white-space: nowrap;
  text-align: left;
  margin-right: 0.31rem;
  margin-top: 0.19rem;
}

label {
  display: inline-block;
  margin-bottom: 0.5rem;
}

@media screen and (max-width: 767px) {
  div.dt-container div.dt-length, div.dt-container div.dt-search, div.dt-container div.dt-info, div.dt-container div.dt-paging {
    text-align: center;
  }
}
div.dt-container div.dt-length select {
  width: 75px;
}

table.dataTable thead tr th.dt-orderable-asc::before {
  right: 1em;
  content: "↑";
  position: absolute;
  bottom: 0.9em;
  display: block;
  opacity: 0.3;
}
table.dataTable thead tr th.dt-ordering-asc::before {
  right: 1em;
  content: "↑";
  position: absolute;
  bottom: 0.9em;
  display: block;
  opacity: 1;
}
table.dataTable thead tr th.dt-orderable-asc::after {
  right: 0.5em;
  content: "↓";
  position: absolute;
  bottom: 0.9em;
  display: block;
  opacity: 0.3;
}
table.dataTable thead tr th.dt-ordering-desc::after {
  right: 0.5em;
  content: "↓";
  position: absolute;
  bottom: 0.9em;
  display: block;
  opacity: 1;
}
table.dataTable thead tr th.dt-orderable-asc {
  cursor: pointer;
  position: relative;
}

table.dataTable.dtr-inline.collapsed > tbody > tr.dt-hasChild.dtr-expanded > td:first-child:before,
table.dataTable.dtr-inline.collapsed > tbody > tr.dt-hasChild.dtr-expanded > th:first-child:before {
  content: "-";
  background-color: #d33333;
}

/*Report table area*/
#ReportTable_wrapper .top .dt-length {
  display: inline;
}
#ReportTable_wrapper .top .right {
  float: right;
  display: inline;
}
#ReportTable_wrapper .top .right .dt-search {
  text-align: right;
  display: flex;
  gap: 4px;
  margin-right: 10px;
}
#ReportTable_wrapper .bottom .dt-info {
  display: inline;
}
#ReportTable_wrapper .bottom .dt-paging {
  display: inline;
  float: right;
}

.alert-info {
  color: #214C62;
  background: #D9EDF7;
}

.alert-danger {
  color: #721c24;
  background-color: #f8d7da;
}

.alert-success {
  color: #2D4821;
  background-color: #DFF0D8;
}

.alert-warning {
  color: #6C4A00;
  background-color: #F9F1C6;
}

a {
  color: #005bbb;
  text-decoration: none;
}

a:hover, a:focus {
  color: #23527c;
  text-decoration: underline;
}

a:focus {
  outline: 5px auto -webkit-focus-ring-color;
  outline-offset: -2px;
}

.btn-primary {
  border-color: #005bbb;
}

.btn-primary:hover {
  background-color: #286090;
  border-color: #204d74;
}

.btn-primary:focus, .btn-primary.focus {
  color: #fff;
  background-color: #286090;
  border-color: #122b40;
}

.btn-primary:not(:disabled):not(.disabled):active, .btn-primary:not(:disabled):not(.disabled).active, .show > .btn-primary.dropdown-toggle {
  color: #fff;
  background-color: #286090;
  border-color: #204d74;
}

.btn:focus, .btn:active {
  outline: none !important;
  box-shadow: none !important;
}

.btn:focus, .btn:active:focus, .btn.active:focus, .btn.focus, .btn:active.focus, .btn.active.focus {
  outline: 5px auto -webkit-focus-ring-color;
  outline-offset: -2px;
}

.page-link {
  color: #005bbb;
}

.page-item.active .page-link {
  background-color: #005bbb;
  border-color: #005bbb;
}
